/*
------------------------------
##############################
-       Загруз Центр         -
-         by Kemel           -
##############################
------------------------------
*/
/* ЛУЗЕРЫ=) */
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(40) NOT NULL,
  `pass` varchar(100) NOT NULL,
  `email` varchar(50) NOT NULL,
  `right` tinyint(2) NOT NULL default '1',
  `name` varchar(40) NOT NULL,
  `sex` enum ('m','w') NOT NULL default 'm',
  `day` tinyint(2) NOT NULL,
  `month` tinyint(2) NOT NULL,
  `year` smallint(4) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `country` tinyint(2) NOT NULL,
  `city` varchar(50) NOT NULL,
  `outcity` varchar(50) NOT NULL,
  `number` bigint(12) NOT NULL,
  `icq` int(9) NOT NULL,
  `do` text(300) NOT NULL,
  `interes` text(300) NOT NULL,
  `music` text(300) NOT NULL,
  `about` text(300) NOT NULL,
  `foto` char(4) NOT NULL,
  `podpis` varchar(100) NOT NULL,
  `balls` int(10) NOT NULL default '0',
  `ip` char(30) NOT NULL,
  `browser` varchar(100) NOT NULL,
  `sort` char(4) NOT NULL default 'ASC',
  `version` enum('web','wap') NOT NULL default 'wap',
  `num` tinyint(2) unsigned NOT NULL default '10',
  `lasttime` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/* Загрузки */
CREATE TABLE IF NOT EXISTS `loads` (
  `id` mediumint(9) NOT NULL auto_increment,
  `who` varchar(40) NOT NULL,
  `name` varchar(30) NOT NULL,
  `fullname` varchar(255) NOT NULL,
  `title` varchar(150) NOT NULL,
  `avtor` varchar(150) NOT NULL default 'Неизвестный',
  `album` varchar(70) NOT NULL,
  `first` char(1) NOT NULL,
  `janre` varchar(55) NOT NULL,
  `size` int(10) NOT NULL,
  `bit` smallint(5) NOT NULL,
  `frequency` smallint(5) NOT NULL,
  `mode` char(20) NOT NULL,
  `length` char(5) NOT NULL,
  `loads` int(10) NOT NULL default '0',
  `lastload` int(11) NOT NULL,
  `moder` enum('no','yes') NOT NULL default 'yes',
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/* Комменты */
CREATE TABLE IF NOT EXISTS `comments` (
	`id` int(11) NOT NULL auto_increment,
	`fid` int(11) NOT NULL,
	`who` varchar(40) NOT NULL,
	`text` text NOT NULL,
	`ip` varchar(30) NOT NULL,
	`browser` tinytext NOT NULL,
	`time` int(11) NOT NULL,
	PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* Настройки */
CREATE TABLE IF NOT EXISTS `settings` (
  `option` varchar(60) NOT NULL,
  `value` varchar(100) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;
INSERT INTO `settings` (`option`,`value`) VALUES ('maxupload','12288'), ('gzip','off'), ('count','1');

/* Реклама */
CREATE TABLE IF NOT EXISTS `reklama` (
  `title` char(60) NOT NULL,
  `site` char(60) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;
/* Почта */
CREATE TABLE IF NOT EXISTS `mail` (
	`id` int(11) NOT NULL auto_increment,
	`fid` int(11) NOT NULL,
	`oid` int(11) NOT NULL,
	`title` varchar(150) NOT NULL,
	`text` text NOT NULL,
	`read` enum('yes','no') NOT NULL default 'no',
	`time` int(11) NOT NULL,
	PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/* Онлайн */
CREATE TABLE IF NOT EXISTS `online` (
  `login` varchar(40) NOT NULL,
  `session` varchar(100) NOT NULL,
  `ip` char(30) NOT NULL,
  `browser` varchar(100) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

/* Бан */
CREATE TABLE IF NOT EXISTS `ban` (
  `login` varchar(40) NOT NULL,
  `type` enum('login','ip','browser') NOT NULL default 'login',
  `ip` char(30) NOT NULL,
  `browser` varchar(100) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`login`),
  KEY (`ip`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;
/* Подарки */
CREATE TABLE IF NOT EXISTS `gifts` (
  `id` mediumint(7) NOT NULL auto_increment,
  `price` int(11) NOT NULL default '100',
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/* Мод Подарков*/
CREATE TABLE IF NOT EXISTS `present` (
  `id` int(11) NOT NULL auto_increment,
  `fid` mediumint(7) NOT NULL,
  `login` varchar(40) NOT NULL,
  `whom` varchar(40) NOT NULL,
  `text` text NOT NULL,
  `anonim` enum('0','1') NOT NULL default '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY (`fid`),
  KEY (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/* Форум */
CREATE TABLE IF NOT EXISTS `forum` (
  `id` int(11) NOT NULL auto_increment,
  `fid` int(11) NOT NULL,
  `type` enum('f','r','t','m') NOT NULL default 'm',
  `name` varchar(40) NOT NULL,
  `text` text(400) NOT NULL,
  `file` tinytext NOT NULL,
  `size` int(11) NOT NULL default '0',
  `ip` char(30) NOT NULL,
  `browser` varchar(100) NOT NULL,
  `edit` varchar(40) NOT NULL,
  `timeedit` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;